<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');


// 27-1-2021 Proviene de listado de reposiciones
$reposicion=false;
if( isset($_SESSION['orden_reposicion']) && isset($_SESSION['orden_reposicion']['detalle']) && isset($_SESSION['orden_reposicion']['detalle']['linea_seleccionada']) && $_SESSION['orden_reposicion']['detalle']['linea_seleccionada'] && isset($_GET['procedencia']) && $_GET['procedencia']=='reposicion') $reposicion=true;

if($_GET['procedencia']=='infoproducto') {
	$clienteOrigen=$_GET['clientePropietario'];
	$productoOrigen=$_GET['producto'];
	$procedenciaInfoProducto=true;
}

if($reposicion) include($rutaPhp.$rutaHtml.'/contenidos/reposicion-orden-cabecera-linea.php');
else unset($_SESSION['orden_reposicion']);

//17-01-2022
if($_GET['contenedorOrigen'] ) {
	$contenedorOrigen=$_GET['contenedorOrigen'];
	$contenedorDestino=$_GET['contenedorDestino'];
}

// 12-11-2019 Añadimos una var de sesión que condiciona la obligatoriedad de indicar id palet interno cliente si la empresa lo exige, el cliente lo exige
// y se quiere traspasar todo un palet completo
unset($_SESSION['idClienteObligatorio']);
unset($_SESSION['mostrarIdsPaletCliente']);


if( ($_SESSION['gestion']=='PUB' || $_SESSION['gestion']=='PUBPRI') && $_SESSION['gestionIdPaletCliente'] ) $_SESSION['mostrarIdsPaletCliente']=true;
if($_SESSION['seleccionTipoPaletEntrada']) $mostrarComboTipoPalet=true;

//21-07-2023
if($reposicion && $_SESSION['parametrosSGA']['PlayaRobotReposicion']) {
	$ubicacionObligatoria=$_SESSION['parametrosSGA']['PlayaRobotReposicion'];
}
else $ubicacionObligatoria=false;

//15-04-2026
if(isset($_SESSION['orden_reposicion']['detalle']['UbicacionRobot']) && $_SESSION['orden_reposicion']['detalle']['UbicacionRobot']=='S' && isset($_SESSION['orden_reposicion']['detalle']['UbicacionRobotPalet']) && $_SESSION['orden_reposicion']['detalle']['UbicacionRobotPalet']) {

	$paletDestinoFijado=$_SESSION['orden_reposicion']['detalle']['UbicacionRobotPalet'];
	
}
else $paletDestinoFijado='';



//29-11-2023 se añade fijar palet por ticket TICKET 23055458 de Bayport
$contenedorOrigenFijado=$_SESSION['traspasoFijar-contenedorOrigen'];


if( $_POST['contenedorTraspasar'] || $contenedorOrigen || $contenedorOrigenFijado ) {
	$esperarCarga=true;
}


//else if($_POST || $_SESSION['archivoTraspaso']) {
if($_POST || $_SESSION['archivoTraspaso']) {

	if(!$_SESSION['archivoTraspaso']) {
	
		// 12/11/2019 Retificar y cambiar id palet cliente
		if($_POST['tipoPaletDestinoDato'] || $_POST['idPaletClienteDestinoDato']) {
		
			$cadenaPalet=$_POST['contenedorDestinoDato'].','.$_POST['tipoPaletDestinoDato'].','.$_POST['idPaletClienteDestinoDato'];
		
			$peticion='SGATipificarPalets#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#'.$_SESSION['almacen'].'#'.$cadenaPalet;
			$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
			
			if($_GET['traza']=='si') {
				echo "<p>".$peticion."</p>";
				print_r($resultado);
			}
		
		}

		$cadenaEnvio='';
		
		$peticion='SGAUbicar#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#PRODUCTOSCONTENEDOR#'.$_SESSION['almacen'].";".$_POST['contenedorOrigenDato'].';S'; //Nuevo parámetro NoAGrupar al final, para permitir hacer NS por NS
		$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
		
		if($_GET['traza']=='si') {
			echo "<p>Recarga de datos para obtener los indices</p>";
			echo "<p>".$peticion."</p>";
			print_r($resultado);
		}
		
		foreach($resultado as $producto) {
		
			$datos=$producto['Datos']['PXMobileProxiumResult'];
		
			//CONSTRUCCION INDICE TRASPASO
			$indice=$producto['ClientePropietario'].'¬'.$producto['Producto'].'¬'.$producto['Entrada'].'¬'.$producto['LineaEntrada'].'¬'.$producto['EstadoAlmacen'];
			foreach($datos as $dato) {
				$indice.='¬'.$dato['Valor'];
			}
			//$indice=base64_encode($indice); //CUIDADO, PONE CARACTERES NO ALFANUMERICOS QUE TB HACEN PETAR EL JAVASCRIPT
			$indice=sha1($indice);
			
			if($_POST['traspasar'.$indice]>0) {
			
				if($_POST['cajas'.$indice]) $cantidad=$_POST['EmbalajePrimarioCaja'.$indice]*$_POST['traspasar'.$indice];
				else $cantidad=$_POST['traspasar'.$indice];
			
				$cadenaEnvio.='*PXTmpTraspasoContenedoresSGAOrigen'.PHP_EOL;
				
				//$cadenaEnvio.='Empresa='.$_SESSION['empresa'].PHP_EOL;
				$cadenaEnvio.='Empresa='.$producto['Empresa'].PHP_EOL;
	
				$cadenaEnvio.='Almacen='.$_SESSION['almacen'].PHP_EOL;
				$cadenaEnvio.='ContenedorOrigen='.$_POST['contenedorOrigenDato'].PHP_EOL;
				$cadenaEnvio.='UbicacionOrigen='.$_POST['ubicacionOrigenDato'].PHP_EOL;
				$cadenaEnvio.='ContenedorDestino='.$_POST['contenedorDestinoDato'].PHP_EOL;
				$cadenaEnvio.='UbicacionDestino='.$_POST['ubicacionDestinoDato'].PHP_EOL;
			
				$cadenaEnvio.='Codigo='.$producto['Producto'].PHP_EOL;
				
				
				//5-7-2023 se detecta que en un almacen PRI la entrada y lineaentrada llegan - y esto hace que se dupliquen los indices
				//y solo se traspasa una de las lineas.
				
				if($producto['Entrada']=='-') $entradaGrabar='SinEntrada-'.$indice;
				else $entradaGrabar=$producto['Entrada'];
				
				$cadenaEnvio.='NumEntrada='.$entradaGrabar.PHP_EOL;
				$cadenaEnvio.='LinEntrada='.$producto['LineaEntrada'].PHP_EOL;
				
				$cadenaEnvio.='ATraspasar='.$cantidad.PHP_EOL;
			
				$datos=$producto['Datos']['PXMobileProxiumResult'];
				foreach($_SESSION['comportamientos'] as $comportamiento) {
					foreach($datos as $dato) {
						if($dato['Codigo']==$comportamiento['Codigo']) {
							$cadenaEnvio.=$comportamiento['NombreSQL'].'='.$dato['Valor'].PHP_EOL;
							break;
						}
					}
				}
				
				//22-11-2021
				$cadenaEnvio.='Estado='.$producto['EstadoAlmacen'].PHP_EOL;
				
				//22-06-2022
				$cadenaEnvio.='Usuario='.$_SESSION['usuario']['Usuario'].PHP_EOL;
				
				
			}
			
			$_SESSION['archivoTraspaso']=$cadenaEnvio;
		}
		
	}
	else if($_GET['preguntaAceptada']=='1') {
	
		$cadenaEnvio=$_SESSION['archivoTraspaso'];
		$cadenaEnvio.='PreguntaAceptada=1'.PHP_EOL;
		
	}
	else unset($_SESSION['archivoTraspaso']);
	
	
	
	if($cadenaEnvio) {
	
		$cadenaEnvio.='*FIN'.PHP_EOL;
	
		
		$resultado=EnviarDatos($wsUsuario,$wsClave,base64_encode(utf8_decode($cadenaEnvio)));
		
	
		if($_GET['traza']=='si') {
			echo '<p>CADENA DE ENVIO:</p>';
			echo "<p>".nl2br($cadenaEnvio)."</p>";
			echo "<p>RESULTADO OBTENIDO</p>";
			print_r($resultado);
			echo '<hr>';
			print_r($resultado['EnviarDatosResult']);
		}
		
		$resultadoEvaluar=explode("#",$resultado['EnviarDatosResult']);
		if($resultadoEvaluar[0]==1) {
			unset($_SESSION['archivoTraspaso']);
			?>
			<script>
			alert("<?php echo $resultadoEvaluar[1]; ?>",null,'ok').done( function(){
			
				<?php if($_GET['traza']!='si') { ?>
				
					$('#popupCargando').show();
					
					<?php if($contenedorOrigenFijado) { // 29-11-2023 si se está fijando el contenedor, volver donde estaba ?>
					
						window.location=window.location;
					
					<?php } else { ?>
					
						<?php if($procedenciaInfoProducto) { ?>
						
							volverProducto();
							
						<?php } else { ?>
						
							<?php if($_GET['procedencia']) { ?>
							
							window.location='<?php echo $rutaHtml; ?>/<?php if($pantalla_anterior) echo $pantalla_anterior; else { ?>reposicion-orden.php<?php } ?>';
							
							<?php } else { ?>
							
							window.location='traspasar-productos.php'; //Sin ningun tipo de procedencia ni origen
							//window.location="<?php echo $rutaHtml.$archivoInicio; ?>";
							
							<?php } ?>
						
						<?php } ?>
						
					<?php } ?>
					
				<?php } ?>
				
			});
			</script>
			<?php
		}
		else if($resultadoEvaluar[2]) {
			?>
			<script>
			confirm("<?php echo $resultadoEvaluar[2]; ?>",'advertencia')
			.done( function(){
				$('#popupCargando').show();
				window.location='traspasar-productos.php?preguntaAceptada=1<?php if($_GET['procedencia']) { ?>&procedencia=<?php echo $_GET['procedencia']; ?><?php } ?>&clientePropietario=<?php echo $clienteOrigen; ?>&producto=<?php echo $productoOrigen; ?>';
			})
			.fail( function(){
				$('#popupCargando').show();
				window.location='traspasar-productos.php?<?php if($_GET['procedencia']) { ?>&procedencia=<?php echo $_GET['procedencia']; ?><?php } ?>&clientePropietario=<?php echo $clienteOrigen; ?>&producto=<?php echo $productoOrigen; ?>';
			});
			</script>
			<?php
		}
		else {
			unset($_SESSION['archivoTraspaso']);
			?>
			<script>
			alert("ERROR: <?php echo $resultadoEvaluar[1]; ?>",null,'error')
			.done(function(){
			
				$('#contenedorOrigen').val('<?php echo $_POST['contenedorOrigenDato'] ?>');
				$('#contenedorDestino').val('<?php echo $_POST['contenedorDestinoDato'] ?>');
				
				cargaOrigen();
				//cargaDestino();
			});
			</script>
			<?php
		}
		
	}

}

//9-9-2019
//Utilizaremos esta variable para almacenar los productos del contenedor origen, y despues poder llamar a "ver otros contenedores"
//ya que podría haber más de un producto en el contenedor, y no sabemos a cuál se va a traspasar
unset($_SESSION['productos']);

?>
<?php include($rutaPhp.$rutaHtml.'/librerias/teclado.php'); ?>

<h2>Traspasar</h2>

<div id="popupOtrosContenedores" class="popup" style="display:none"></div>
<div id="popupOtrosContenedoresContenido" class="popupContenidoScroll" style="display:none"></div>

<form id="formularioContenedorOrigen" name="formularioContenedorOrigen" method="post" action="<?php if($_GET['procedencia']) { ?>?procedencia=<?php echo $_GET['procedencia']; ?><?php } ?>">

<table border="0" cellspacing="0" cellpadding="5" style="margin:0 auto">
  <tr>
    <td colspan="2">
    
    	<table border="0" cellspacing="0" cellpadding="0" style="margin:0 auto">
        <tr>
        <td style="width:620px">
        
        <p class="sinMargen">Palet origen:<br />
          <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoContenedorOrigen" <?php if($contenedorOrigenFijado) { ?>style="display:none"<?php } ?>/><input name="contenedorOrigen" type="text" class="campo <?php if($contenedorOrigenFijado) { ?>deshabilitado<?php } ?>" id="contenedorOrigen" value="<?php if($_POST['contenedorTraspasar']) echo $_POST['contenedorTraspasar']; else if($contenedorOrigen) echo $contenedorOrigen; else if($contenedorOrigenFijado) echo $contenedorOrigenFijado; ?>"  style="width:460px" autocomplete="off" <?php if($contenedorOrigenFijado) { ?>readonly<?php } ?>/>
        <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarContenedorOrigen" <?php if($contenedorOrigenFijado) { ?>style="display:none"<?php } ?>/><img id="fijarLote" src="<?php echo DIR_IMAGENES; ?>/palet-fijar<?php if(!$_SESSION['traspasoFijar-contenedorOrigen']) { ?>-off<?php } ?>.png" alt="Fijar" class="iconoFijar entradaChincheta posicionDerecha" campo="contenedorOrigen" activo="<?php if($_SESSION['traspasoFijar-contenedorOrigen']) { ?>1<?php } else { ?>0<?php } ?>"/></p>
        </td>
        <?php if($mostrarComboTipoPalet) { ?>
        	<td style="padding-top:25px">
            <select name="tipoPaletOrigen" id="tipoPaletOrigen" class="campo" disabled readonly style="background-color:#ebebe4">
            <option value="" selected>---</option>
            <?php foreach(array_keys($_SESSION['tiposPalet']) as $codigoPalet) { ?>
            <option value="<?php echo $codigoPalet; ?>" <?php if($codigoPalet==$palet['TipoPalet']) { ?>selected<?php } ?> chep="<?php echo $_SESSION['tiposPalet'][$codigoPalet]['CHEP']; ?>"><?php echo $_SESSION['tiposPalet'][$codigoPalet]['Descripcion']; ?></option>
            <?php } ?>
            </select>
            </td>
            <td>
            <img id="imagenPaletOrigen" src="<?php echo DIR_IMAGENES; ?>/palet-vacio.png" width="50" height="36" style="padding:25px 0 0 15px"/>
            </td>
        <?php } ?>
        </tr> 
        </table>
        
   </td>
  </tr>
  <tr>
    <td><p class="sinMargen">Ubicación origen:<br /><input type="text" name="ubicacionOrigen" id="ubicacionOrigen" disabled="disabled" class="campo"  style="width:350px"/></p></td>
    <?php if($_SESSION['mostrarIdsPaletCliente']) { ?>
    <td><p class="sinMargen">Id Palet Cliente:<br /><input type="text" name="idPaletClienteOrigen" id="idPaletClienteOrigen" disabled="disabled" class="campo"  style="width:460px"/></p></td>
    <?php } ?>
  </tr>
</table>

</form>

<p><input type="button" name="botonOtrosContenedores" id="botonOtrosContenedores" value="Otros palets con el mismo producto" class="boton reducido" style="display:none"/></p>

<img id="botonIntercambiar" src="<?php echo DIR_IMAGENES; ?>/intercambiar.png" alt="Intercambiar" width="60" height="60" class="clicable" style="display:none"/>

<form id="formularioContenedorDestino" name="formularioContenedorDestino" method="post" action="<?php if($_GET['procedencia']) { ?>?procedencia=<?php echo $_GET['procedencia']; ?><?php } ?>" <?php if(!$contenedorDestino) { ?>style="display:none"<?php } ?>>

<table border="0" cellspacing="0" cellpadding="5" style="margin:0 auto">
  <tr>
    <td colspan="2">
    
    	<table border="0" cellspacing="0" cellpadding="0" style="margin:0 auto">
        <tr>
        <td style="width:550px">
    	<p class="sinMargen">Palet destino:<br /><img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoContenedorDestino" /><input name="contenedorDestino" type="text" class="campo <?php if($paletDestinoFijado) { ?>deshabilitado<?php } ?>" id="contenedorDestino" style="width:460px" autocomplete="off" value="<?php if($paletDestinoFijado) echo $paletDestinoFijado; else if($contenedorDestino) echo $contenedorDestino; ?>" <?php if($paletDestinoFijado) { ?>readonly<?php } ?>/>
        <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarContenedorDestino" <?php if($paletDestinoFijado) { ?>style="display:none"<?php } ?>/></p>  
        </td>
        <?php if($mostrarComboTipoPalet) { ?>
        	<td style="padding-top:25px">
            <select name="tipoPaletDestino" id="tipoPaletDestino" class="campo" <?php if($paletDestinoFijado) { ?>disabled readonly<?php } ?>>
            <option value="">---</option>
            <?php foreach(array_keys($_SESSION['tiposPalet']) as $codigoPalet) { ?>
            <option value="<?php echo $codigoPalet; ?>" <?php if($codigoPalet==$palet['TipoPalet']) { ?>selected<?php } ?> chep="<?php echo $_SESSION['tiposPalet'][$codigoPalet]['CHEP']; ?>"><?php echo $_SESSION['tiposPalet'][$codigoPalet]['Descripcion']; ?></option>
            <?php } ?>
            </select>
            </td>
            <td>
            <img id="imagenPaletDestino" src="<?php echo DIR_IMAGENES; ?>/palet-vacio.png" width="50" height="36" style="padding:25px 0 0 15px"/>
            </td>
        <?php } ?>
        </tr> 
        </table>
        
    </td>
  </tr>
  <tr>
    <td><p class="sinMargen">Ubicación destino:<br /><input type="text" name="ubicacionDestino" id="ubicacionDestino" disabled="disabled" class="campo"  style="width:350px"/></p></td>
	<?php if($_SESSION['mostrarIdsPaletCliente']) { ?>
    <td style="width:620px"><p class="sinMargen">Id Palet Cliente:<br /><img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoIdPaletClienteDestino" /><input type="text" name="idPaletClienteDestino" id="idPaletClienteDestino" class="campo"  style="width:460px"/><img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarIdPaletClienteDestino"/></p></td>
    <?php } ?>
  </tr>
</table>

</form>

<?php
if($reposicion) {
	$pantalla_anterior='reposicion-orden.php';
	include('maqueta/menu-orden-reposicion.php');
}
?>

<div id="listaProductosOrigen">
</div>

<div id="listaProductosDestino">
</div>

<?php if($procedenciaInfoProducto) { ?>

<p><input type="button" name="volverProducto" id="volverProducto" value="Volver al Producto" class="boton"/></p>

<script>

	function volverProducto() {
		$('#popupCargando').show();
		window.location='info-producto-S.php?clientePropietario=<?php echo $clienteOrigen; ?>&producto=<?php echo $productoOrigen; ?>';
	}
	
	$(document).ready(function() {
	
		$('#volverProducto').on('click',function(){
			volverProducto();
		});
		
	});
	
</script>

<?php } ?>

<script>

function cargaOrigen() {

		$('#popupCargando').show();
		
		$.post( "<?php echo $rutaHtml; ?>/contenidos/cargar-info-contenedor.php", { contenedor:$("#contenedorOrigen").val() })
			.done(function(data) {
				
				console.log(data);
				
				var info=data.split('#');
				
				if(info[0]=='error') {
				
					$('#popupCargando').hide();
					$("#contenedorOrigen").val('');
					alert(info[2],$("#contenedorOrigen"),'error');
				
				}
				else {
				
					//var ubicacionReal=info[0];
					//13-11-2018 Cambiamos de sitio la ubicación, porque en algunos clientes, delante de la cadena devuelta mete un caracter extraño
					var ubicacionReal=info[4];
					var idPaletCliente=info[5];
					var tipoPaletOrigen=info[6];
					var ubicacionMostrar;
					
					if(info[2]!='') ubicacionMostrar=info[2]; else ubicacionMostrar=info[0];
					
					$('#ubicacionOrigen').val(ubicacionMostrar);
					$('#idPaletClienteOrigen').val(idPaletCliente);
					$('#tipoPaletOrigen').val(tipoPaletOrigen);
					
					var esChep=$('#tipoPaletOrigen option:selected').attr('chep');
					if(esChep=='S') $('#imagenPaletOrigen').attr('src','<?php echo DIR_IMAGENES; ?>/palet-vacio-chep.png');
					else $('#imagenPaletOrigen').attr('src','<?php echo DIR_IMAGENES; ?>/palet-vacio.png');
					
					$.post( "<?php echo $rutaHtml; ?>/contenidos/cargar-productos-contenedor.php<?php if($_GET['traza']=='si') { ?>?traza=si<?php } ?>", { contenedor : $("#contenedorOrigen").val(), editable : true, titulo : "Lista de productos en contenedor origen:" , procedencia : 'traspaso' , contenedorOrigen : $("#contenedorOrigen").val() , contenedorDestino : $("#contenedorDestino").val() , reposicion : '<?php echo $reposicion; ?>' , codigoProductoReposicion : '<?php if(isset($_SESSION['orden_reposicion'])) echo $_SESSION['orden_reposicion']['detalle']['Producto']; ?>' })
						.done(function(data) {
						
							$('#popupCargando').hide();
							$('#listaProductosOrigen').html(data);
							$('#contenedorOrigenDato').val($('#contenedorOrigen').val());
							$('#ubicacionOrigenDato').val(ubicacionReal);
							
							$('#botonOtrosContenedores').show();
							
							
							<?php if( $_POST['contenedorTraspasar'] || $contenedorDestino || $paletDestinoFijado ) { ?>
								cargaDestino();
							<?php } ?>
							
						});
					
				} //Fin si no es error
					
			});

}

function cargaDestino() {

		
		<?php if($paletDestinoFijado) { ?>
		let muestraContenido=false;
		<?php } else { ?>
		let muestraContenido=true;
		<?php } ?>

		console.log('CARGA DESTINO');
		console.log('muestraContenido: '+muestraContenido);

		$('#popupCargando').show();
		
		var ubicacionObligatoria;
		<?php if($ubicacionObligatoria) { ?>
		ubicacionObligatoria='<?php echo $ubicacionObligatoria; ?>';
		<?php } else { ?>
		ubicacionObligatoria=false;
		<?php } ?>
		
		$.post( "<?php echo $rutaHtml; ?>/contenidos/cargar-info-contenedor.php", { contenedor : $("#contenedorDestino").val() })
			.done(function(data) {
				
				var info=data.split('#');
				
				if(info[0]=='error') {
				
					$('#popupCargando').hide();
					$("#contenedorDestino").val('');
					alert(info[2],$("#contenedorDestino"),'error');
				
				}
				else {
				
					//var ubicacionReal=info[0];
					//13-11-2018 Cambiamos de sitio la ubicación, porque en algunos clientes, delante de la cadena devuelta mete un caracter extraño
					var ubicacionReal=info[4];
					var idPaletCliente=info[5];
					var tipoPaletDestino=info[6];
					
					if(!tipoPaletDestino) tipoPaletDestino='<?php echo $paletPorDefectoTraspaso; ?>';
					
					var ubicacionMostrar;
					
					if(info[2]!='') ubicacionMostrar=info[2]; else ubicacionMostrar=info[0];
					
					$('#ubicacionDestino').val(ubicacionMostrar);
					$('#idPaletClienteDestino').val(idPaletCliente);
					$('#tipoPaletDestino').val(tipoPaletDestino);
					
					var esChep=$('#tipoPaletDestino option:selected').attr('chep');
					if(esChep=='S') $('#imagenPaletDestino').attr('src','<?php echo DIR_IMAGENES; ?>/palet-vacio-chep.png');
					else $('#imagenPaletDestino').attr('src','<?php echo DIR_IMAGENES; ?>/palet-vacio.png');
					
					$('#tipoPaletDestinoDato').val( tipoPaletDestino );
					$('#idPaletClienteDestinoDato').val( idPaletCliente );
					
					if(ubicacionObligatoria && ubicacionObligatoria!=ubicacionReal) {
					
						$('#popupCargando').hide();
						
						$('#contenedorDestino').val('')
						$('#ubicacionDestino').val('');
						$('#idPaletClienteDestino').val('');
						$('#tipoPaletDestino').val('');
						$('#tipoPaletDestinoDato').val('');
						$('#idPaletClienteDestinoDato').val('');
						
						alert('Atención: No se puede traspasar al palet '+$("#contenedorDestino").val()+' ya que no se encuentra en la ubicación del robot.',null,'error');
					
					}
					else {
					
						if(muestraContenido) {
					
							$.post( "<?php echo $rutaHtml; ?>/contenidos/cargar-productos-contenedor.php<?php if($_GET['traza']=='si') { ?>?traza=si<?php } ?>", { contenedor:$("#contenedorDestino").val(), titulo:"Lista de productos en contenedor destino:" , nomostrarmensajeprevision : true , procedencia:'traspaso' , contenedorOrigen : $("#contenedorOrigen").val() , contenedorDestino : $("#contenedorDestino").val() })
							.done(function(data) {
							
								$('#popupCargando').hide();
								$('#listaProductosDestino').html(data);
								
								$('#botonIntercambiar').show();
									
								$('#contenedorDestinoDato').val($('#contenedorDestino').val());
								$('#ubicacionDestinoDato').val(ubicacionReal);
									
								$('#tipoPaletDestinoDato').val( $('#tipoPaletDestino option:selected').val() );
								$('#idPaletClienteDestinoDato').val( $('#idPaletClienteDestino').val() );
			
							});
							
						}
						else {
						
							$('#popupCargando').hide();
							
							$('#contenedorDestinoDato').val($('#contenedorDestino').val());
							$('#ubicacionDestinoDato').val(ubicacionReal);
								
							$('#tipoPaletDestinoDato').val( $('#tipoPaletDestino option:selected').val() );
							$('#idPaletClienteDestinoDato').val( $('#idPaletClienteDestino').val() );
						
						}

					}
						
				} //Fin si es error
				
			});
}

$(document).ready(function() {

	$('#formularioContenedorOrigen').on("submit",function(e){
		e.preventDefault();
		cargaOrigen();
	});
	
	$('#contenedorOrigen').on("change",function(e){
		e.preventDefault();
		cargaOrigen();
	});
	
	$('#formularioContenedorDestino').on("submit",function(e){
		e.preventDefault();
		cargaDestino();
	});
	
	$('#contenedorDestino').on("change",function(e){
		e.preventDefault();
		cargaDestino();
	});
	
	$('#borrarContenedorOrigen').on("click",function(){
		
		$("#contenedorOrigen").val('');
		$("#ubicacionOrigen").val('');
		$("#listaProductosOrigen").empty();
		$("#contenedorOrigen").focus();
		
		$('#botonIntercambiar').hide();
		$('#botonOtrosContenedores').hide();
		
	});
	
	$('#borrarContenedorDestino').on("click",function(){
		
		$("#contenedorDestino").val('');
		$("#ubicacionDestino").val('');
		$("#idPaletClienteDestino").val('');
		$("#tipoPaletDestino").val('');
		$("#listaProductosDestino").empty();
		$("#contenedorDestino").focus();
		
		$('#botonIntercambiar').hide();
		
		
	});
	
	$('#tecladoContenedorOrigen').on("click",function(){
		
		$('#teclado').show();
		$('#valor').val( $('#contenedorOrigen').val() );
		$('#valorOculto').val( $('#contenedorOrigen').val() );
		$('#enter').attr('campoValor','contenedorOrigen');
		$('#enter').attr('formulario','formularioContenedorOrigen');
		
	});
	
	$('#tecladoContenedorDestino').on("click",function(){
		
		$('#teclado').show();
		$('#valor').val( $('#contenedorDestino').val() );
		$('#valorOculto').val( $('#contenedorDestino').val() );
		$('#enter').attr('campoValor','contenedorDestino');
		$('#enter').attr('formulario','formularioContenedorDestino');
		
	});
	
	$('#botonIntercambiar').on("click",function(){
	
		var origen=$('#contenedorOrigen').val();
		var destino=$('#contenedorDestino').val();
		
		$('#contenedorOrigen').val(destino);
		$('#contenedorDestino').val(origen);
		
		cargaOrigen();
		cargaDestino();
	});
	
	$('#botonOtrosContenedores').on('click',function(){
	
		$('#popupCargando').show();
		
		$.post( "<?php echo $rutaHtml; ?>/contenidos/cargar-ubicaciones-contenedores-producto-traspasar.php<?php if($_GET['traza']=='si') { ?>?traza=si<?php } ?>" , { contenedor : $('#contenedorOrigen').val() } )
		.done(function(data) {
			$('#popupCargando').hide();
			$('#popupOtrosContenedoresContenido').html(data);
			$('#popupOtrosContenedoresContenido').show();
			$('#popupOtrosContenedores').show();
		});
	
	});
	
	
	
	//Nuevos procedimientos despues de añadir ids de palet cliente y tipo de palet destino
	
	$('#tipoPaletDestino').on('change',function(){
	
		var esChep=$('#tipoPaletDestino option:selected').attr('chep');
		if(esChep=='S') $('#imagenPaletDestino').attr('src','<?php echo DIR_IMAGENES; ?>/palet-vacio-chep.png');
		else $('#imagenPaletDestino').attr('src','<?php echo DIR_IMAGENES; ?>/palet-vacio.png');
		
		$('#tipoPaletDestinoDato').val( $('#tipoPaletDestino option:selected').val() );
		
	});
	
	$('#idPaletClienteDestino').on('change',function(){
		$('#idPaletClienteDestinoDato').val( $('#idPaletClienteDestino').val() );
	});
	
	$('#tecladoIdPaletClienteDestino').on("click",function(){
		
		$('#teclado').show();
		$('#valor').val( $('#idPaletClienteDestino').val() );
		$('#valorOculto').val( $('#idPaletClienteDestino').val() );
		$('#enter').attr('campoValor','idPaletClienteDestino');
		$('#enter').attr('formulario','');
		
	});
	
	$('#borrarIdPaletClienteDestino').on("click",function(){
		
		$("#idPaletClienteDestino").val('');
		$("#idPaletClienteDestino").focus();
		
	});
	
	//26-1-2022 Nuevo método para fijar campos
	function capitalizarTexto(str) {
	  return str.charAt(0).toUpperCase() + str.slice(1);
	}
	
	$('.iconoFijar').on('click',function(){
	
		var nombreCampo=$(this).attr('campo');
		var campo=$('#'+nombreCampo);
		var valor=campo.val();
		
		var icono=$(this);
		var iconoTeclado=$('#teclado'+capitalizarTexto(nombreCampo));
		var iconoBorrar=$('#borrar'+capitalizarTexto(nombreCampo));
		
		if($(this).attr('activo')=='0') {
			if(valor) {
				$.post('<?php echo $rutaHtml; ?>/contenidos/traspasar-fijar-campo.php' , { 'campo' : nombreCampo , 'valor' : valor })
				.done(function(data) {
					icono.attr('src','<?php echo DIR_IMAGENES; ?>/palet-fijar.png');
					icono.attr('activo',1);
					campo.addClass('deshabilitado');
					campo.prop('readonly',true);
					iconoTeclado.hide();
					iconoBorrar.hide();
				});
			}
			else alert('Para fijar '+capitalizarTexto(nombreCampo)+' debes informar primero un valor para este dato.',campo,'advertencia');
		}
		else {
			$.post('<?php echo $rutaHtml; ?>/contenidos/traspasar-fijar-campo.php' , { 'campo' : nombreCampo , 'valor' : '' })
			.done(function(data) {
				icono.attr('src','<?php echo DIR_IMAGENES; ?>/palet-fijar-off.png');
				icono.attr('activo',0);
				campo.removeClass('deshabilitado');
				campo.prop('readonly',false);
				iconoTeclado.show();
				iconoBorrar.show();
			});
		}
	
	});
	
	<?php $cargaPreviaOrigen=false; ?>
	
	<?php if($_POST['contenedorTraspasar'] || $contenedorOrigen || $contenedorOrigenFijado) { ?>
		<?php $cargaPreviaOrigen=true; ?>
		cargaOrigen();
	<?php } else { ?>
		$("#contenedorOrigen").focus();
	<?php } ?>

	<?php if(!$cargaPreviaOrigen && ( $_POST['contenedorTraspasar'] || $contenedorDestino || $paletDestinoFijado ) ) { ?>
		cargaDestino();
	<?php } ?>

});

</script>

<?php
include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
